Name: krbafs
Version: 1.0.9
Release: 2
Source: ftp://ftp.pdc.kth.se/pub/krb/src/krb4-%{version}.tar.gz
License: Freely Distributable
Group: System Environment/Libraries
Patch0: krbafs-1.0.9-krb5.patch
Patch1: krbafs-1.0.2-short.patch
Patch2: krbafs-1.0.2-strlcpy.patch
Summary: A Kerberos to AFS bridging library, built against Kerberos 5.
Buildroot: %{_tmppath}/%{name}-root
Requires: krb5-libs
BuildPrereq: krb5-devel

%define prefix /usr/kerberos

%description
This package contains the krbafs shared library, which allows programs
to obtain AFS network filesystem tokens using Kerberos IV credentials,
without having to link with official AFS libraries which may not be
available for a given platform.

%package utils
Summary: Kerberos/AFS utilities.
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description utils
Kerberos is a network authentication system. The krbafs-utils package
contains versions of afslog, pagsh, and kstring2key that are linked
against libkrbafs (a Kerberos to AFS bridging library).

%package devel
Summary: Development files for use with the krbafs package.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files and static libraries for use when
building applications which use the krbafs library.

%changelog
* Thu Aug 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- obey RPM_OPT_FLAGS

* Tue Jul 24 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.9

* Wed Jul 11 2001 Nalin Dahyabhai <nalin@redhat.com>
- break out the -devel subpackage
- make the subpackages require the main package

* Thu Jul  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- include sample krb.conf and krb.realms files from the source package
  in the binary package, tweaked for the EXAMPLE.COM realm
- add doc files

* Tue Apr 24 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.8

* Thu Dec 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.5

* Mon Dec 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.4

* Mon Oct 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.3

* Mon Oct  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- drop dangling symlink (#18750)

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary and description

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new build environment (release 3)

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix for compiling with new gcc

* Tue Mar 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.1

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Thu Mar 02 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Requires: krb5-libs and BuildPrereq: krb5-devel

* Thu Jan 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- make prefix changeable in case we decide to move it later

* Wed Dec 16 1999 Nalin Dahyabhai <nsdahya1@pobox.com>
- update to 1.0 (whee!)

* Mon Dec 13 1999 Nalin Dahyabhai <nsdahya1@pobox.com>
- link shared lib against libresolv and libcrypt to help resolve symbols in
  configure tests
- make %ifarch ppc parts %ifnarch i386

* Thu Dec 02 1999 Jeremy Katz <jlkatz@unity.ncsu.edu>
- Build the static lib for libkrbafs as well as linking against all the necessary libs
  with the shared lib
* Wed Dec 01 1999 Jeremy Katz <jlkatz@unity.ncsu.edu>
- Added ppc-specific symlinking afslog as replacement for aklog

* Tue Nov 30 1999 Nalin Dahyabhai <nalin.dahyabhai@pobox.com>
- initial version

%prep
%setup -q -n krb4-%{version}
(cd lib/kafs;\
 cp -f ../krb/lifetime.c ../krb/str2key.c ../krb/get_default_principal.c .;\
 ln -sf ../roken/roken-common.h ../roken/resolve.h ../roken/resolve.c \
 ../roken/k_getpwuid.c ../roken/esetenv.c ../roken/strlwr.c ../roken/warnerr.c .)
(cd appl/afsutil;\
 ln -sf ../../lib/kafs/kafs.h ../../lib/roken/roken-common.h .)
sed 's/MY.REALM.NAME/EXAMPLE.COM/g' etc/krb.conf   > krb.conf
sed 's/MY.REALM.NAME/EXAMPLE.COM/g' etc/krb.equiv  > krb.equiv.sample
sed 's/MY.REALM.NAME/EXAMPLE.COM/g' etc/krb.realms > krb.realms
%patch0 -p1 -b .krb5
%patch1 -p1 -b .short
%patch2 -p1 -b .strlcpy

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" \
LIBS="-lresolv -lcrypt" \
./configure --prefix=%{prefix} --enable-shared
make -C lib/roken
make -C lib/kafs
make -C lib/kafs libkrbafs.a
make -C appl/afsutil

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
(cd lib/kafs; make install DESTDIR=$RPM_BUILD_ROOT;\
 test -d $RPM_BUILD_ROOT%{prefix}/include/ || \
 mkdir -p $RPM_BUILD_ROOT%{prefix}/include/;\
 install -m 644 kafs.h $RPM_BUILD_ROOT%{prefix}/include/krbafs.h;\
 install -m 644 libkrbafs.a $RPM_BUILD_ROOT%{prefix}/lib)
(cd appl/afsutil; make install DESTDIR=$RPM_BUILD_ROOT)
test -d $RPM_BUILD_ROOT%{_sysconfdir} || mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m644 krb.conf krb.realms $RPM_BUILD_ROOT%{_sysconfdir}

%ifnarch i386
# CMU's aklog can't be built against Arla... not yet, anyway.
(mkdir -p $RPM_BUILD_ROOT/usr/athena/etc; \
 ln -s ../../kerberos/bin/afslog $RPM_BUILD_ROOT/usr/athena/etc/aklog)
%endif

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT lib/kafs/ChangeLog krb.equiv.sample
%config(noreplace) %{_sysconfdir}/*
%{prefix}/lib/*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/include/*
%{prefix}/lib/*.a
%{prefix}/lib/*.so

%files utils
%defattr(-,root,root)
%{prefix}/bin/*

#%ifnarch i386
#/usr/athena/etc/*
#%endif
